LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 10-01-2002, 10:01 PM   #1
GT I.N.C
Member
 
Registered: May 2002
Location: Australia, Sydney, St.Clair
Distribution: Rh 7.3
Posts: 836

Rep: Reputation: 30
Open Office 1.0.1 - Mandrake 8.2


I know i have been getting alot of problems (look at the Linux - Newbie section under the thread 'I'm in trouble')
but i need this to do some work..i'm trying to install the latest version of Open Office, when i click on the install executable all that happens is the bar loads a bit then disappears..running it from command gets this output..

Code:
[gt@localhost install]$ ./install
Installation starting, please be patient ...
glibc version: 2.2.4

Initializing installation program..........
/tmp/sv001.tmp/setup.bin: error while loading shared libraries: libcomphelp2.so: cannot open shared object file: No such file or directory
ln: `/usr/local/bin/swriter': File exists
ln: `/usr/local/bin/scalc': File exists
ln: `/usr/local/bin/sdraw': File exists
ln: `/usr/local/bin/simpress': File exists
ln: `/usr/local/bin/smath': File exists
ln: `/usr/local/bin/spadmin': File exists

Installation Completed
I don't know if i need to install any other packages, but if i do it would be helpful if you could tell me them..
 
Old 10-02-2002, 01:38 AM   #2
moses
Senior Member
 
Registered: Sep 2002
Location: Arizona, US, Earth
Distribution: Slackware, (Non-Linux: Solaris 7,8,9; OSX; BeOS)
Posts: 1,152

Rep: Reputation: 48
Hello,
If you do a

locate libcomphelp2

does it return anything?

The other errors are simply saying that you can't create symbolic links to
/usr/local/bin/blah because that file already exists. This means to me that
some part of the installation (either yours or maybe the default from
Mandrake) has already occured.
So, try to run

/usr/local/bin/spadmin

from the command line. If there are any errors, post them.
if no errors, try

/usr/local/bin/soffice

If no errors, you've already got it installed and should be good to go. . .
If errors, post the result of:

ls -l /usr/local/bin/spadmin
 
Old 10-02-2002, 03:02 AM   #3
GT I.N.C
Member
 
Registered: May 2002
Location: Australia, Sydney, St.Clair
Distribution: Rh 7.3
Posts: 836

Original Poster
Rep: Reputation: 30
libcomphelp2 doesn't return anything....

Code:
[gt@localhost gt]$ /usr/local/bin/spadmin
bash: /usr/local/bin/spadmin: No such file or directory
Could the installer or package be corrupted ? I have downloaed it twice @ 56k but i leave it overnight
 
Old 10-02-2002, 05:42 AM   #4
aizkorri
Member
 
Registered: Feb 2002
Location: Basque Country
Distribution: Fedora 14, Ubuntu 14.04
Posts: 432
Blog Entries: 1

Rep: Reputation: 45
search in rpmfind.net libcomhelp.so and it will give you the rpm you need.
 
Old 10-02-2002, 06:04 AM   #5
moses
Senior Member
 
Registered: Sep 2002
Location: Arizona, US, Earth
Distribution: Slackware, (Non-Linux: Solaris 7,8,9; OSX; BeOS)
Posts: 1,152

Rep: Reputation: 48
To check the file, go to:

http://www.openoffice.org/dev_docs/s...1/md5sums.html

And compare the MD5 sum posted there to that of your file:

md5sum openoffice_install_filename
(OOo_1.0.1_LinuxIntel_install.tar.gz)

man md5sum
 
Old 10-02-2002, 06:21 AM   #6
GT I.N.C
Member
 
Registered: May 2002
Location: Australia, Sydney, St.Clair
Distribution: Rh 7.3
Posts: 836

Original Poster
Rep: Reputation: 30
yeh i tried that aizkorri but the file was in a 40>mb rpm...and both files i have downloaded have different md5sums then the one on the site (i always check md5sums) and i couldn't be bothered downloading it again hehe...

Maybe i might have more success with 1.0 because i installed 1.0 on MDK 8.2 with no problem before, but now when i try installing 1.0.1 i get a whole bunch of errors...
 
Old 10-03-2002, 02:24 AM   #7
moses
Senior Member
 
Registered: Sep 2002
Location: Arizona, US, Earth
Distribution: Slackware, (Non-Linux: Solaris 7,8,9; OSX; BeOS)
Posts: 1,152

Rep: Reputation: 48
In the install directory, try running ./setup instead of ./install
 
Old 10-03-2002, 07:03 AM   #8
GT I.N.C
Member
 
Registered: May 2002
Location: Australia, Sydney, St.Clair
Distribution: Rh 7.3
Posts: 836

Original Poster
Rep: Reputation: 30
Ok i will try that, but now i think its a corrupted download, because the first time i downloaded it and extracted it , it said Xmb of 12mb (being extracted) on the second time i downloaded it and tried extracting it it said Xmb of 45mb (being extracted) and the file is 70mb...so it should be Xmb of 70mb being extracted, shouldn't it ?

Garry
 
Old 10-03-2002, 07:14 AM   #9
GT I.N.C
Member
 
Registered: May 2002
Location: Australia, Sydney, St.Clair
Distribution: Rh 7.3
Posts: 836

Original Poster
Rep: Reputation: 30
Code:
[root@localhost install]# ./setup
glibc version: 2.2.4
/tmp/sv001.tmp/setup.bin: error while loading shared libraries: libcomphelp2.so: cannot open shared object file: No such file or directory
Just in case you wanted to know....
 
Old 10-03-2002, 07:17 AM   #10
GT I.N.C
Member
 
Registered: May 2002
Location: Australia, Sydney, St.Clair
Distribution: Rh 7.3
Posts: 836

Original Poster
Rep: Reputation: 30
Hmmmm got this from untarring on the command line....
Code:
tar: Skipping to next header
tar: Archive contains obsolescent base-64 headers

gzip: stdin: invalid compressed data--format violated
tar: Child returned status 1
tar: Error exit delayed from previous errors
Knew it was corrupted...hmm gues i'll download it AGAIN...hmmm 2 corrupted downloads...might go with 1.0 to be on the safe side.....
 
Old 10-03-2002, 12:29 PM   #11
moses
Senior Member
 
Registered: Sep 2002
Location: Arizona, US, Earth
Distribution: Slackware, (Non-Linux: Solaris 7,8,9; OSX; BeOS)
Posts: 1,152

Rep: Reputation: 48
Yeah, you've got a bad tarball. Or you've got other problems.

do a:

df

and post the output.
 
Old 10-03-2002, 10:06 PM   #12
GT I.N.C
Member
 
Registered: May 2002
Location: Australia, Sydney, St.Clair
Distribution: Rh 7.3
Posts: 836

Original Poster
Rep: Reputation: 30
Code:
[root@GT-INC gt]# df
Filesystem            Size  Used Avail Use% Mounted on
/dev/hda2             2.5G  1.3G  1.0G  54% /
/dev/hda6              61M  1.9M   55M   4% /boot
none                   62M     0   61M   0% /dev/shm
/dev/hda1              13G   11G  3.2G  76% /mnt/windows
I downloaded it, YET AGAIN last night, still to no succeed....tonight i WILL download 1.0

Garry
 
Old 10-04-2002, 01:02 AM   #13
moses
Senior Member
 
Registered: Sep 2002
Location: Arizona, US, Earth
Distribution: Slackware, (Non-Linux: Solaris 7,8,9; OSX; BeOS)
Posts: 1,152

Rep: Reputation: 48
Well, your disk space is fine.

I'm confused as to why you're having so many problems downloading the
file. If you have a problem with acquiring 1.0, let me know and I'll find some
place to set up a clean package for you to download.
 
Old 10-04-2002, 01:36 AM   #14
GT I.N.C
Member
 
Registered: May 2002
Location: Australia, Sydney, St.Clair
Distribution: Rh 7.3
Posts: 836

Original Poster
Rep: Reputation: 30
Thanks moses, i will try download 1.0 tonight, but since i'm going to Queensland for one week (http://www.linuxquestions.org/questi...threadid=31847) i might not be able to post up if it works or not till around next Saturday...

But thanks anyway..

Garry

Last edited by GT I.N.C; 10-04-2002 at 01:41 AM.
 
Old 10-17-2002, 02:01 AM   #15
GT I.N.C
Member
 
Registered: May 2002
Location: Australia, Sydney, St.Clair
Distribution: Rh 7.3
Posts: 836

Original Poster
Rep: Reputation: 30
Alright i ended up downloading 1.0 and i get the same problem, it's corrupted....when i try running both installed from command (install, setup) it says that theres a crc error....now this happened with 1.0.1 aswell....i don't remember this happening with any other tarballs, but its getting annoying now, i need to do school work y'know hehe, anyone have suggestions? It's getting corrupted somehow.....

Garry
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Star Office vs. Open Office installation Q viniosity Linux - Software 3 05-21-2006 07:44 AM
How to Get Open Office 2.0beta to Mimic MS Office 2003 Look? mac57 Linux - Software 2 03-08-2005 08:02 AM
Just reinstalled Mandrake 9.2 and can't find Open Office chumley115 Linux - Newbie 7 06-27-2004 03:48 AM
Star office / Open Office on Sony Picturebook kkempter Linux - Laptop and Netbook 4 12-11-2003 02:34 PM
Mandrake 9.1 + Open Office = Aplication ErrorAborted Vladlen Linux - Software 5 07-02-2003 02:54 PM


All times are GMT -5. The time now is 07:44 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration